NetBSD/gnu/dist/texinfo/util/txitextest
wiz ccaa2ac97b Import of texinfo-4.7, as prepared by texinfo2netbsd.
Changes since 4.6:

4.7 (9 April 2004)
* Language:
  . new commands @float, @caption, @shortcaption, @listoffloats for
    initial implementation of floating material (figures, tables, etc).
    Ironically, they do not yet actually float anywhere.
  . new commands @docbook, @ifdocbook, @ifnotdocbook for conditional Docbook.
  . new commands @ordf{} and @ordm{} for Spanish feminine/masculine ordinals.
  . new commands @deftypecv[x] for class variables in typed OO languages.
  . new command @registeredsymbol for the r-in-a-circle symbol.
  . new command @headitem to make a heading row in @multitable.
  . new command @LaTeX{} for the LaTeX logo.
  . new command @comma{} to avoid comma-parsing problems.
  . @url is now a synonym for @uref; new command @indicateurl has the
    old meaning of just displaying a url as text.
  . @quotation now accepts an optional argument for labelling the text
      as a `Note', `Tip', etc.
  . @defun (et al.) heading lines can now be continued with a lone @.
  . @acronym accepts an optional argument for the meaning of the acronym.
* makeinfo:
  . New environment variable TEXINFO_OUTPUT_FORMAT determines the output
    format at runtime, if no options are specified.
  . New option --plaintext, equivalent to --no-headers with Info output.
  . All outputs:
    - sections are numbered by default.
  . Info output:
    - punctuation is inserted after @pxref and @ref, if needed to make
      cross-references valid.
    - line numbers included in index menus, so Info readers can go to
      the exact line of an entry, not just a node.  Also in plaintext output.
    - ^@^H[index^@^H] cookie included in index menus, so Info readers
      can handle the ] etc. commands better.
  . HTML output:
    - new algorithm for cross-references to other manuals, for maximum
      portability and stability.
    - include node name in <title> with split output.
    - @multicolumn fractions become percentages.
    - entities used for bullets, quotes, dashes, and others.
    - index entries are links to the exact locations.
    - <h4> and <h5> used for @sub and @subsubsections again.
    - accented dotless i supported.
  . XML output: many new tags and structure to preserve more source features.
  . Docbook output:
    - upgraded DTD to Docbook XML 4.2, no longer using Docbook SGML.
    - improved translation in general, for instance:
    - line annotations and marked quotations.
* texi2dvi:
  . if available, use etex (pdfetex if --pdf) by default.
  . if the input file includes thumbpdf.sty (for LaTeX), then run thumbpdf.
  . more output if --debug.
* texinfo.tex:
  . @defun names are now printed in typewriter (instead of bold), and
    within the arguments, @var text is printed in slanted typewriter.
  . @tex code is executed inside a TeX group, so that any changes must
    be prefixed with \global (or the equivalent) to be effective.  (This
    change was actually made years ago, but never made it into the NEWS.)
* info:
  . new option --where (aka --location, -w) to report where an Info file
    would be found, instead of reading it.
  . by default, output ANSI terminal escape sequences as-is; new option
    --no-raw-escapes overrides this.
  . use the newly-generated index line numbers.
* Distribution:
  . new script gendocs.sh (not installed), for use by GNU maintainers in
    getting their manuals on the GNU web site.  Documented in
    maintain.texi (http://www.gnu.org/prep/maintain_toc.html).
  . Most code uses ANSI C prototypes, to some extent.
  . New translation: nb.
  . automake 1.8.3, autoconf 2.59, gettext 0.14.1.
2004-07-12 23:26:33 +00:00

78 lines
2.0 KiB
Bash

#!/bin/sh
# Id: txitextest,v 1.1.1.1 2003/12/06 01:35:52 karl Exp
# Test texinfo.tex changes by running various manuals through with an
# old version, saving the .ps result from dvips, doing the same with a
# new version, and comparing. Idea from Stepan Kasal.
#
# Another option is to run the manuals all the way through using
# texi2dvi, which tests in another way.
tsrc=/u/texinfo/src
PATH=$tsrc/util:$PATH
tdoc=$tsrc/doc
default_manuals="$tdoc/texinfo.txi $tdoc/info.texi $tdoc/info-stnd.texi"
olddir=$HOME/gnu/src/gnulib/config
newdir=$tdoc
tempdir=/u/texinfo/@tests/testdir
full=false
manuals=
while test $# -gt 0; do
case $1 in
--f*) full=true;;
--o*) shift; olddir="$1";;
--n*) shift; newdir="$1";;
--t*) shift; tempdir="$1";;
-*) echo "$0: unknown option \`$1'." >&2; exit 1;;
*) manuals="$manuals $1";;
esac
shift
done
test -z "$manuals" && manuals=$default_manuals
initial_dir=`pwd`
cd $tempdir || exit 1
rm -f *
run_tex() \
{
TEXINPUTS=.:$mandir: tex $manual \
|| { echo "tex $manual failed." >&2; exit 1; }
}
for manual in $manuals; do
mandir=`dirname $manual`
test $mandir = . && mandir=$initial_dir
manual_base=`basename "$manual" | sed 's/\.[^.]*$//'`
rm -f $manual_base.* texinfo.tex
ln -s $newdir/texinfo.tex texinfo.tex
if $full; then
# instead of comparing, do full test of just the new texinfo.tex.
echo "$0: testing $manual_base... (tex)"
texi2dvi $manual || { echo "texi2dvi $manual failed." >&2; exit 1; }
echo "$0: testing $manual_base... (pdf)"
texi2dvi --pdf $manual \
|| { echo "texi2dvi --pdf $manual failed." >&2; exit 1; }
else
echo "$0: testing $manual_base... (new)"
run_tex
dvips $manual_base -o || exit 1
mv $manual_base.ps new.$manual_base.ps
echo "$0: testing $manual_base... (old)"
rm -f $manual_base.* texinfo.tex
ln -s $olddir/texinfo.tex texinfo.tex
run_tex
dvips $manual_base -o || exit 1
mv $manual_base.ps old.$manual_base.ps
diff -U0 old.$manual_base.ps new.$manual_base.ps
fi
done